Subject: Re: linux-next: build failure after merge of the mfd-lj tree

From: Lee Jones <[email-masked]>
Date: Tue, 4 Mar 2014 15:05:12 +0800

Stephen,

> > After merging the mfd-lj tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> > 
> > drivers/mfd/tps65218: struct i2c_device_id is 32 bytes.  The last of 1 is:
> > 0x74 0x70 0x73 0x36 0x35 0x32 0x31 0x38 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0x00 0xf0 0x00 0x00 0x00 0x00 0x00 0x00 0x00 
> > FATAL: drivers/mfd/tps65218: struct i2c_device_id is not terminated with a NULL entry!
> > 
> > Caused by commit cc493e30e3a1 ("mfd: tps65218: Add driver for the
> > TPS65218 PMIC").
> 
> Now that the otherproblem is fixed, I am getting this one again :-(

That's annoying. I thought I'd built all of the new drivers.

> > I have used the mfd-lj tree from next-20140210 for today.
> 
> Again.

Sorry, again.

/me investigates.

-- 
Lee Jones
Linaro STMicroelectronics Landing Team Lead
Linaro.org │ Open source software for ARM SoCs
Follow Linaro: Facebook | Twitter | Blog